%[if %("%id=filename_renaming%" == "websafe")% ]%
// Convert to web safe (default)
<?php
$upload_dir = '%id=directory_path%';
if (!empty($_FILES)) { 
	// The temporary server location
	$tempFile = $_FILES['file']['tmp_name'];

	// Using DIRECTORY_SEPARATOR constant is a good practice, it makes your code portable.
	$uploadPath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR . $upload_dir . DIRECTORY_SEPARATOR;
	
	// Adding timestamp with image's name so that files with same name can be uploaded easily.
	$mainFile = $uploadPath. $_FILES['file']['name'];
	
	// Convert spaces and tabs in the file name to websafe hyphens
	$websafe = preg_replace('/\s+/', '-', $mainFile);
	
	// Move uploaded file to destination
	move_uploaded_file($tempFile,$websafe);
}
?>
%[endif]%

%[if %("%id=filename_renaming%" == "timestamped")% ]%
// Convert to web safe and prepend time stamp
<?php
$upload_dir = '%id=directory_path%';
if (!empty($_FILES)) 
{ 
     $tempFile = $_FILES['file']['tmp_name'];//this is temporary server location

     // using DIRECTORY_SEPARATOR constant is a good practice, it makes your code portable.
     $uploadPath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR . $upload_dir . DIRECTORY_SEPARATOR;
	
     // Adding timestamp with image's name so that files with same name can be uploaded easily.
     $mainFile = $uploadPath.time().'-'. $_FILES['file']['name'];
     
     $websafe = preg_replace('/\s+/', '-', $mainFile);
	
     move_uploaded_file($tempFile,$websafe);
}
?>
%[endif]%

%[if %("%id=filename_renaming%" == "randomised")% ]%
// Randomise the file name
<?php
$upload_dir = '%id=directory_path%';
if (!empty($_FILES)) { 
	// The temporary server location
	$tempFile = $_FILES['file']['tmp_name'];

	// Using DIRECTORY_SEPARATOR constant is a good practice, it makes your code portable.
	$uploadPath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR . $upload_dir . DIRECTORY_SEPARATOR;
	
	$temp = explode(".", $_FILES["file"]["name"]);
	$newfilename = round(microtime(true)) . '.' . end($temp);
	move_uploaded_file($_FILES["file"]["tmp_name"], $upload_dir . $newfilename);
}
?>
%[endif]%